Subject: bug#1993: 23.0.60; Emacs.app has only transparent window background

From: David Reitter <[email-masked]>
Date: Sat, 28 Mar 2009 19:26:01 -0400

On Mar 28, 2009, at 3:54 PM, Peter Dyballa wrote:

>
> Am 16.03.2009 um 22:22 schrieb David Reitter:
>
>> Hi Peter,
>> regarding this bug: please try rebuilding with an updated CVS.  I  
>> have just checked in a few changes that may fix this (by not  
>> loading org.gnu.Emacs.plist any longer).
>>
>
>
> The previous setting of the Option key is not preserved. I can't  
> type [, ], {, }, |, or \!

In the NS port, ns-option-modifier is `meta' by default, so this is  
logical.
I presume you had a customization.

Adrian, should we change this to match the Carbon Emacs default?
Your ns-compatibility-mode (forgot exact name) could change that, of  
course, but without it, we don't have too many Mac like keys bound.   
Traditional Emacs users tend to want a Meta key, while most users of  
non-English keyboard layouts will need Option very regularly to do  
tasks often done in Emacs {like C/Java/... programming}.

- D